-- replace plpgsql version of this function
LOAD '$libdir/mapi.so';
CREATE OR REPLACE FUNCTION MAPI_sd2(a float8, vv float8[])
RETURNS float8
	AS '$libdir/mapi.so', 'mapi_c_sd2'
	LANGUAGE C STRICT;
COMMENT ON FUNCTION MAPI_sd2(a float8, vv float8[]) IS 
'Designed by Sylvain Piry, CBGP - INRA, 2016
Computes the sum of squared differences between an array of values and a mean.
Parameters:
  1/ a, the mean, float8.
  2/ vv, the array of values, float8[].
Returns the sum of squares of differences.
';

